%define ocamlpck  react

Name:          ocaml-react
Version:       1.2.1
Release:       1mamba
Summary:       Declarative events and signals for OCaml
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://erratique.ch/software/react
Source:        https://github.com/dbuenzli/react.git/v%{version}/react-%{version}.tar.bz2
License:       ISC License
## AUTOBUILDREQ-BEGIN
BuildRequires: ocaml
BuildRequires: ocaml-compiler-libs
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: opam
BuildRequires: ocaml
BuildRequires: ocaml-findlib

%description
%{summary}.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

#% debug_package

%prep
%setup -q -n react-%{version}

%build
ocaml 'pkg/pkg.ml' build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
opam-installer --prefix="%{buildroot}%{_prefix}" --libdir='%{_lib}/ocaml' --docdir='share/doc'

rm -rf %{buildroot}%{_docdir}/react

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc LICENSE*

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc CHANGES* README.md

%changelog
* Sun Feb 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- package created using the webbuild interface
